OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Typedefs | Functions | Variables
industry_type.h File Reference

Types related to the industry. More...

Go to the source code of this file.

## Typedefs
typedef uint16 | IndustryID
typedef uint16 | IndustryGfx
typedef uint8 | IndustryType

## Functions
void | CheckIndustries ()
| Verify whether the generated industries are complete, and warn the user if not.

## Variables
static const IndustryID | INVALID_INDUSTRY = 0xFFFF
static const IndustryType | NUM_INDUSTRYTYPES_PER_GRF = 128
| maximum number of industry types per NewGRF; limited to 128 because bit 7 has a special meaning in some variables/callbacks (see MapNewGRFIndustryType).
static const IndustryType | NEW_INDUSTRYOFFSET = 37
| original number of industry types
static const IndustryType | NUM_INDUSTRYTYPES = 240
| total number of industry types, new and old; limited to 240 because we need some special ids like INVALID_INDUSTRYTYPE, IT_AI_UNKNOWN, IT_AI_TOWN, ...
static const IndustryType | INVALID_INDUSTRYTYPE = NUM_INDUSTRYTYPES
| one above amount is considered invalid
static const IndustryGfx | NUM_INDUSTRYTILES_PER_GRF = 255
| Maximum number of industry tiles per NewGRF; limited to 255 to allow extending Action3 with an extended byte later on.
static const IndustryGfx | INDUSTRYTILE_NOANIM = 0xFF
| flag to mark industry tiles as having no animation
static const IndustryGfx | NEW_INDUSTRYTILEOFFSET = 175
| original number of tiles
static const IndustryGfx | NUM_INDUSTRYTILES = 512
| total number of industry tiles, new and old
static const IndustryGfx | INVALID_INDUSTRYTILE = NUM_INDUSTRYTILES
| one above amount is considered invalid
static const int | INDUSTRY_COMPLETED = 3
| final stage of industry construction.

## Detailed Description

Types related to the industry.

Definition in file industry_type.h.

## Function Documentation

void CheckIndustries | ( |  | ) |

Verify whether the generated industries are complete, and warn the user if not.

Definition at line 2752 of file industry_cmd.cpp.

References GetIndustrySpec(), Industry::GetIndustryTypeCount(), GetScaledIndustryGenerationProbability(), IndustrySpec::name, NUM_INDUSTRYTYPES, SetDParam(), ShowErrorMessage(), and WL_WARNING.